Bug 1014242 - /etc/init.d/glusterfsd not provided by any package in 3.4.1 on rhel
/etc/init.d/glusterfsd not provided by any package in 3.4.1 on rhel
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
: 994745 (view as bug list)
Depends On: 1073111
Blocks: 958389 1294754
  Show dependency treegraph
 
Reported: 2013-10-01 10:50 EDT by Lukas Bezdicka
Modified: 2015-12-30 01:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 09:06:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Bezdicka 2013-10-01 10:50:04 EDT
Description of problem:
Packages from http://download.gluster.org/pub/gluster/glusterfs/3.4/3.4.1/RHEL/epel-6.4/x86_64/


rpm -q --whatprovides /etc/init.d/glusterfsd
error: file /etc/init.d/glusterfsd: No such file or directory

But rpm -q --scripts glusterfs-server clearly states that it wants to use this init script in:

preuninstall scriptlet (using /bin/sh):
if [ $1 -eq 0 ]; then
    if [ -f /etc/init.d/glusterfsd ]; then
        /sbin/service glusterfsd stop &>/dev/null ;    fi
    /sbin/service glusterd stop &>/dev/null ;    if [ -f /etc/init.d/glusterfsd ]; then
        /sbin/chkconfig --del glusterfsd ;    fi
    /sbin/chkconfig --del glusterd ;fi
if [ $1 -ge 1 ]; then
    if [ -f /etc/init.d/glusterfsd ]; then
        /sbin/service glusterfsd condrestart &>/dev/null ;    fi
    /sbin/service glusterd condrestart &>/dev/null ;fi



Version-Release number of selected component (if applicable):
3.4.1

How reproducible:
always

Steps to Reproduce:
1. install package
2. start gluster daemon and bricks
3. reinstall package, bricks are still runing from old binary

Actual results:
brick daemons not reloaded by reinstall of package

Expected results:
brick daemonds should be reloaded



Additional info:
for now manual fix of notifying killall glusterfsd from puppet works :(
Comment 1 Kaleb KEITHLEY 2013-10-02 07:37:56 EDT
fixed in 3.4.1-2. el5, el6 only, fedora-xx are not affected, the glusterfsd.service systemd files are in 3.4.1-1 rpms , so I did not respin the fedora RPMs.
Comment 2 Niels de Vos 2013-10-09 06:33:37 EDT
*** Bug 994745 has been marked as a duplicate of this bug. ***
Comment 3 Niels de Vos 2013-11-06 13:34:14 EST
This should have been fixed for the packages that are build from the Fedora packaging repository. The repository contains the glusterfs-init-script.

Unfortunately, the script is not available in the upstream community. I'll work on getting that included there, so that builds from the upstream repository do not have the issue anymore either.
Comment 4 Kaleb KEITHLEY 2015-08-11 09:06:55 EDT
3.4.x is EOL

Note You need to log in before you can comment on or make changes to this bug.